# Method: projects.tenants.companies.list

- [HTTP request](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#body.request_body)
- [Response body](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#body.ListCompaniesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#try-it)

Lists all companies associated with the project.

### HTTP request

`GET https://jobs.googleapis.com/v4/{parent=projects/*/tenants/*}/companies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the tenant under which the company is created. The format is "projects/{projectId}/tenants/{tenantId}", for example, "projects/foo/tenants/bar". |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` The starting indicator from which to return results. |
| `pageSize` | `integer` The maximum number of companies to be returned, at most 100. Default is 100 if a non-positive number is provided. |
| `requireOpenJobs` | `boolean` Set to true if the companies requested must have open jobs. Defaults to false. If true, at most `https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/list#body.QUERY_PARAMETERS.page_size` of companies are fetched, among which only those with open jobs are returned. |

### Request body

The request body must be empty.

### Response body

The List companies response object.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "companies": [ { object (`https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies#Company`) } ], "nextPageToken": string, "metadata": { object (`https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/ResponseMetadata`) } } ``` |

| Fields ||
|---|---|
| `companies[]` | ``object (`https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies#Company`)`` Companies for the current client. |
| `nextPageToken` | `string` A token to retrieve the next page of results. |
| `metadata` | ``object (`https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/ResponseMetadata`)`` Additional information for the API invocation, such as the request tracking id. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/jobs`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/external/authorization-gcp).